%define version 0.7
%define release 3mdk

%define src_ver 0.7pre1

Summary: XCIN ANYWHERE +CV by weijr and Platin 
Name: xa+cv
Version: %{version}
Release: %{release}
Copyright: GPL
Group: System/Internationalization
Source: xa+cv-%{src_ver}.tar.bz2
Source1: yccheng-xa
Source2: yccheng-cv
Source3: xa+cv.csh
Source4: xa+cv.sh
Requires: XFree86, xcin
#Packager: Cheng Yuan-Chung <platin@ms31.hinet.net>
Buildroot: %{_tmppath}/%{name}-buildroot
Requires: locales-zh
Requires: xcin

%description
XA+CV is a small x-library wrapper. With this tool, people can 
input chinese big5 character via xcin.
Written by weijr <weijr@magic.math.ntu.edu.tw>

%description -l zh_TW.Big5
²檺
XA O@Ӥpu, AiHbnetscapen餤,
xcinӿJ
oӵ{O weijr <weijr@magic.math.ntu.edu.tw> ҼgC

%prep

%setup -n xa+cv-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS"
make clean
make -j 2

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_libdir}/chinese/xa+cv
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT/tmp
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/profile.d/
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/chinese/xa+cv/

export DESTDIR="$RPM_BUILD_ROOT%{_libdir}/chinese/xa+cv"
export SCRIPTDIR="$RPM_BUILD_ROOT%{_bindir}"
export CONFDIR="$RPM_BUILD_ROOT%{_sysconfdir}/chinese/xa+cv/"

make -e install

install -m 755 %{SOURCE1} $RPM_BUILD_ROOT%{_bindir}/xa
install -m 755 %{SOURCE2} $RPM_BUILD_ROOT%{_bindir}/cv
#install -m 755 wrap.so $RPM_BUILD_ROOT/usr/share/chinese/xa+cv/
#install -m 644 xa+cv.config $RPM_BUILD_ROOT/etc/chinese/xa+cv/config
install -m 755 %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/profile.d/
install -m 755 %SOURCE4 $RPM_BUILD_ROOT%{_sysconfdir}/profile.d/
ln -sf ../dev/stderr $RPM_BUILD_ROOT/tmp/wraplog 

%clean
rm -rf $RPM_BUILD_ROOT 

%files
%defattr(-,root,root)
%doc FAQ GPL NEW other USE.Big5 USE.GB 
%doc README.+CV README.XA README.XA+CV-0.5 README.XA+CV-0.7
%{_bindir}/*
%{_libdir}/chinese/xa+cv
%{_sysconfdir}/profile.d/*
%config %{_sysconfdir}/chinese/xa+cv/config
#/tmp/wraplog

%changelog
* Thu Aug 31 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.7-3mdk
- fix /usr/bin/{xa,cv} scripts.

* Wed Aug 23 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.7-2mdk
- LDPRELOAD libX11 or else  some programs will fail to load.
- macrosifications.

* Sun Apr 02 2000 Pablo Saratxaga <pablo@mandrakesoft.com>
- updated to 0.7pre1
- changed to new Group: naming

* Wed Dec 01 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- added requires: locales-zh for auto-selection at install time
- added requires: xcin

* Mon Nov 22 1999 Andrew Lee <Andrew@nssh.tpc.edu.tw>
- rebuild for mandrake

* Mon Nov  1 1999 Cheng Yuan-Cheng <platin@linux.org.tw>
- no xaemacs

* Mon Aug  9 1999 Cheng Yuan-Cheng <platin@linux.org.tw>
- move xaconf to another package
- config updated
- script updated 

* Wed Jul 28 1999 Cheng Yuan-Cheng <platin@linux.org.tw>
- rewrite to avoid symbol conflict...
- xaconf from wycc :)

* Wed Jun  9 1999 Cheng Yuan-Cheng <platin@ms31.hinet.net>
- xa+cv BUS Error fix
- XAEmacs configure.in fix

* Tue May 25 1999 Cheng Yuan-Cheng <platin@ms31.hinet.net>
- XNextEvent dont_wrap fixed
- select_mode.c fixed (Thanks Albert Luo <u8711505@cc.NCTU.edu.tw>)
- xa fixed
- xa+cv.config fixed

* Tue May 18 1999 Cheng Yuan-Cheng <platin@ms31.hinet.net>
- smart mode fixed

* Thu May 13 1999 Cheng Yuan-Cheng <platin@ms31.hinet.net> 
- many many fixed -- really xa+cv-0.5

* Thu Apr 29 1999 Cheng Yuan-Cheng <platin@ms31.hinet.net>
- xa+cv-0.5, GB was supported

* Fri Mar  5 1999 Cheng Yuan-Cheng <platin@ms31.hinet.net>
- Clem's XAEmacs

* Wed Feb 24 1999 Cheng Yuan-Cheng <platin@ms31.hinet.net>
- wycc's XA_FAMILY patch
- upgrad to xa-0.4.1

* Mon Dec 14 1998 Cheng Yuan-Cheng <platin@ms.ccafps.khc.edu.tw>
- default mode to XA_MODE=2

* Thu Nov  5 1998 Cheng Yuan-Cheng <platin@ms.ccafps.khc.edu.tw>
- remove the cnetscapeBcxcoralBcxemacs scripts!!

* Sun Oct 25 1998 Cheng Yuan-Cheng <platin@ms.ccafps.khc.edu.tw>
- Clement's xa-emacs fix

* Wed Oct 14 1998 Cheng Yuan-Cheng <platin@ms.ccafps.khc.edu.tw>
- modified cnetscape to fit rhl-doc-bg5-0.1-4

* Wed Jul 29 1998 Cheng Yuan-Cheng <platin@ms.ccafps.khc.edu.tw>
- script cnetscapeBcxcoralBcxemacs was added !!

* Tue Jul  7 1998 Cheng Yuan-Cheng <platin@ms.ccafps.khc.edu.tw>
- Change the cli_xcin.c to the 2.3.xx version

* Thu Jun 18 1998 Cheng Yuan-Cheng <platin@ms.ccafps.khc.edu.tw>
- Change the group tag to Extensions/chinese

* Thu Jan  7 1998 Cheng Yuan-Chung <platin@ms.ccafps.khc.edu.tw>
- make the rpm package

- @@@ e weijr u@
- @@@ XA+CVpre0p4 -> XA+CVpre0
-- ܼҦi
-- iscript D. (by Chih-Wei Huang)
- @@@ XA0.3b+CVpre0p4 -> XA0.4+CVpre0p4
-- JҦѤTܦ|..
--- W[ƹ䪺Ҧ3
- @@@ 0.3b+CVpre0p3 -> 0.3b+CVpre0p4
-- W[ܼ  
-- XA_FACE:   w +CV ϥΪr: p XA_FACE=kai
-- XA_CVMODE=a } +CV 
-- XA_CVMODE=b  +CV 
-- קother Ҫ ns 
- @@@ 0.3b+CVpre0p2 -> 0.3b+CVpre0p3
-- įWi, t~@Ӭ۷bugץ
-- rLkload,ϥέӭ^r
-- +CV } a} b(F12)
- @@@ 0.3b+CVpre0p1 -> 0.3b+CVpre0p2
-- [Jrjpܤ , [J @script
- @@@ 0.3b+CVpre0 -> 0.3b+CVpre0p1
-- @Ӭ۷bug patch
- @@@ 0.3b -> 0.3b+CVpre0
-- [WܪO,README.+CV
- @@@ 0.3a -> 0.3b
-- Mode 2 F@I
- @@@ 0.3 -> 0.3a
-- W[TؿJҦ
- ԱUSE
--  test_xa  xa 
- @@@ 0.01 -> 0.3
-- W[۰make, XA_LIBX11

